%define package_name gal
%define version 0.5
%define release 2mdk
%define major 4

Summary: Library for compound documents in GNOME
Name: %{package_name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System/Libraries
Source: ftp://ftp.gnome.org/pub/GNOME/unstable/sources/%{package_name}/%{package_name}-%{version}.tar.bz2
Url: http://www.gnome.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root

#dependency pulled by libraries
#Requires: libxml >= 1.8.10
#Requires: gnome-libs >= 1.2.5
#Requires: glib
Requires: oaf >= 0.5.0
Requires: ORBit >= 0.5.3
#Requires: gnome-print >= 0.21
#Requires: libunicode >= 0.4
#Requires: gnome-vfs >= 0.3.1-5mdk
#Requires: gtk+ >= 1.2.7
BuildRequires: libxml-devel >= 1.8.10
BuildRequires: gnome-libs-devel >= 1.2.5
BuildRequires: gnome-print-devel >= 0.21
BuildRequires: glib-devel XFree86-devel gnome-libs-devel audiofile-devel esound-devel 
BuildRequires: imlib-devel gdk-pixbuf-devel oaf-devel popt-devel zlib-devel
BuildRequires: libunicode-devel >= 0.4-5mdk
BuildRequires: ORBit-devel >= 0.5.3
BuildRequires: gnome-vfs-devel >= 0.3.1-5mdk
BuildRequires: libglade-devel >= 0.13
BuildRequires: gtk+-devel >= 1.2.7

%description
This the G App Libs (GAL).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME applications that might want to use these widgets.

%package -n lib%{package_name}%{major}
Summary: %{summary}
Group: %{group}
Provides: %{package_name} = %{version}
Obsoletes: %{package_name}

%description  -n lib%{package_name}%{major}
This the G App Libs (GAL).

This module contains some library functions that came from Gnumeric
and Evolution.  The idea is to reuse those widgets across various
larger GNOME applications that might want to use these widgets.

%package -n lib%{package_name}%{major}-devel
Summary: Libraries and include files for gal
Group: Development/C
Requires: lib%{package_name}%{major} = %{version}
Provides: %{package_name}-devel
Obsoletes: %{package_name}-devel
Provides: lib%{package_name}-devel

%description  -n lib%{package_name}%{major}-devel
This package provides the necessary development libraries and include
files to allow you to develop programs using gal.

%prep
%setup -q -n %{package_name}-%{version}

%build
%configure

#(fc) 0.4-1mdk parallel compilation seems to be broken :(
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%{find_lang} %{name}

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig -n lib%{package_name}%{major}
  
%postun -p /sbin/ldconfig -n lib%{package_name}%{major}

%files -f %{name}.lang  -n lib%{package_name}%{major}
%defattr(-, root, root)
%doc AUTHORS COPYING README
%{_datadir}/etable
%{_datadir}/gal
%{_libdir}/*.so.*

%files -n lib%{package_name}%{major}-devel
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/*.sh
%{_includedir}/*

%changelog
* Wed Mar  7 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5-2mdk
- recompiled against latest glib/gtk/gnomeprint
- (previous changelog has been forgotten, it was release 0.5)

* Thu Feb 15 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Remove build conflict on libxml2-devel
- Change main name before upgrading version

* Mon Dec 18 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.1-1mdk
- Release 0.4.1

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Fri Dec 15 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-2mdk
- Rename package for new lib policy

* Tue Nov 14 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.2.2-1mdk
- add a source url.
- bump up version for the new and shiny gnumeric.

* Tue Oct 24 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.2.1-1mdk
- new version 0.2.1

* Mon Oct 23 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.2-1mdk
- new version 0.2

* Mon Oct 16 2000 Renaud Chaillat <rchaillat@mandrakesoft.com> 0.1-1mdk
- first mandrake release
- compilation with gnome-vfs (needs 0.3.1-5mdk)

